GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/build-id.h File Reference
`#include "gdb_bfd.h"`

Go to the source code of this file.

## Functions
const struct bfd_build_id * | build_id_bfd_get (bfd *abfd)
int | build_id_verify (bfd *abfd, size_t check_len, const bfd_byte *check)
gdb_bfd_ref_ptr | build_id_to_debug_bfd (size_t build_id_len, const bfd_byte *build_id)
char * | find_separate_debug_file_by_buildid (struct objfile *objfile)

## Function Documentation

## ◆ build_id_bfd_get()

const struct bfd_build_id* build_id_bfd_get | ( | bfd * | abfd | ) |

Definition at line 33 of file build-id.c.

Referenced by build_id_verify(), find_separate_debug_file_by_buildid(), objfpy_get_build_id(), and objfpy_lookup_objfile_by_build_id().

## ◆ build_id_to_debug_bfd()

gdb_bfd_ref_ptr build_id_to_debug_bfd | ( | size_t | build_id_len,
|  | const bfd_byte * | build_id
| ) |  |

Definition at line 71 of file build-id.c.

References _, build_id_verify(), debug_file_directory, do_cleanups(), gdb_bfd_open(), gdb::ref_ptr< T, Policy >::get(), gnutarget, make_cleanup(), make_cleanup_free_char_ptr_vec(), printf_unfiltered(), gdb::ref_ptr< T, Policy >::release(), separate_debug_file_debug, size, VEC, VEC_iterate, and xfree().

Referenced by dwarf2_get_dwz_file(), and find_separate_debug_file_by_buildid().

## ◆ build_id_verify()

int build_id_verify | ( | bfd * | abfd,
|  | size_t | check_len,
|  | const bfd_byte * | check
| ) |  |

Definition at line 48 of file build-id.c.

References _, build_id_bfd_get(), check(), and warning().

Referenced by build_id_to_debug_bfd(), and dwarf2_get_dwz_file().

## ◆ find_separate_debug_file_by_buildid()

char* find_separate_debug_file_by_buildid | ( | struct objfile * | objfile | ) |

Definition at line 146 of file build-id.c.

References _, build_id_bfd_get(), build_id_to_debug_bfd(), gdb::ref_ptr< T, Policy >::get(), objfile::obfd, objfile_name(), printf_unfiltered(), separate_debug_file_debug, and warning().

Referenced by coff_symfile_read(), and elf_symfile_read().